import ActionSheet from './action-sheet.vue';
export declare const DActionSheet: {
    new (...args: any[]): import("vue").CreateComponentPublicInstance<Readonly<import("vue").ExtractPropTypes<{
        visible: {
            type: BooleanConstructor;
            default: boolean;
        };
        options: {
            type: import("vue").PropType<import("./types").ActionSheetOptions>;
            default: () => never[];
        };
        align: {
            type: import("vue").PropType<"left" | "center">;
            default: string;
        };
        showCancel: {
            type: BooleanConstructor;
            default: boolean;
        };
        cancelButtonText: {
            type: StringConstructor;
            default: string;
        };
        description: {
            type: StringConstructor;
            default: string;
        };
        onSelected: {
            type: import("vue").PropType<(item: import("./types").IActionSheetOption, index: number) => void>;
            default: undefined;
        };
        onCancel: {
            type: import("vue").PropType<() => void>;
            default: undefined;
        };
        keys: {
            type: import("vue").PropType<import("@xuanmo/dl-common").CustomKeys>;
            default: undefined;
        };
    }>>, {
        bem: (el?: import("@xuanmo/dl-common").Modifiers | null | undefined, modifier?: import("@xuanmo/dl-common").Modifiers | undefined) => string;
        innerVisible: import("vue").WritableComputedRef<boolean>;
        valueKey: "value";
        labelKey: "label";
        onVisible: (value: boolean) => void;
        onClose: () => void;
        onSelected: (item: import("./types").IActionSheetOption, index: number) => void;
    }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, import("vue").EmitsOptions, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & Readonly<import("vue").ExtractPropTypes<{
        visible: {
            type: BooleanConstructor;
            default: boolean;
        };
        options: {
            type: import("vue").PropType<import("./types").ActionSheetOptions>;
            default: () => never[];
        };
        align: {
            type: import("vue").PropType<"left" | "center">;
            default: string;
        };
        showCancel: {
            type: BooleanConstructor;
            default: boolean;
        };
        cancelButtonText: {
            type: StringConstructor;
            default: string;
        };
        description: {
            type: StringConstructor;
            default: string;
        };
        onSelected: {
            type: import("vue").PropType<(item: import("./types").IActionSheetOption, index: number) => void>;
            default: undefined;
        };
        onCancel: {
            type: import("vue").PropType<() => void>;
            default: undefined;
        };
        keys: {
            type: import("vue").PropType<import("@xuanmo/dl-common").CustomKeys>;
            default: undefined;
        };
    }>>, {
        keys: import("@xuanmo/dl-common").CustomKeys;
        visible: boolean;
        options: import("./types").ActionSheetOptions;
        align: "left" | "center";
        showCancel: boolean;
        cancelButtonText: string;
        description: string;
        onSelected: (item: import("./types").IActionSheetOption, index: number) => void;
        onCancel: () => void;
    }, true, {}, {}, {
        P: {};
        B: {};
        D: {};
        C: {};
        M: {};
        Defaults: {};
    }, Readonly<import("vue").ExtractPropTypes<{
        visible: {
            type: BooleanConstructor;
            default: boolean;
        };
        options: {
            type: import("vue").PropType<import("./types").ActionSheetOptions>;
            default: () => never[];
        };
        align: {
            type: import("vue").PropType<"left" | "center">;
            default: string;
        };
        showCancel: {
            type: BooleanConstructor;
            default: boolean;
        };
        cancelButtonText: {
            type: StringConstructor;
            default: string;
        };
        description: {
            type: StringConstructor;
            default: string;
        };
        onSelected: {
            type: import("vue").PropType<(item: import("./types").IActionSheetOption, index: number) => void>;
            default: undefined;
        };
        onCancel: {
            type: import("vue").PropType<() => void>;
            default: undefined;
        };
        keys: {
            type: import("vue").PropType<import("@xuanmo/dl-common").CustomKeys>;
            default: undefined;
        };
    }>>, {
        bem: (el?: import("@xuanmo/dl-common").Modifiers | null | undefined, modifier?: import("@xuanmo/dl-common").Modifiers | undefined) => string;
        innerVisible: import("vue").WritableComputedRef<boolean>;
        valueKey: "value";
        labelKey: "label";
        onVisible: (value: boolean) => void;
        onClose: () => void;
        onSelected: (item: import("./types").IActionSheetOption, index: number) => void;
    }, {}, {}, {}, {
        keys: import("@xuanmo/dl-common").CustomKeys;
        visible: boolean;
        options: import("./types").ActionSheetOptions;
        align: "left" | "center";
        showCancel: boolean;
        cancelButtonText: string;
        description: string;
        onSelected: (item: import("./types").IActionSheetOption, index: number) => void;
        onCancel: () => void;
    }>;
    __isFragment?: undefined;
    __isTeleport?: undefined;
    __isSuspense?: undefined;
} & import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
    visible: {
        type: BooleanConstructor;
        default: boolean;
    };
    options: {
        type: import("vue").PropType<import("./types").ActionSheetOptions>;
        default: () => never[];
    };
    align: {
        type: import("vue").PropType<"left" | "center">;
        default: string;
    };
    showCancel: {
        type: BooleanConstructor;
        default: boolean;
    };
    cancelButtonText: {
        type: StringConstructor;
        default: string;
    };
    description: {
        type: StringConstructor;
        default: string;
    };
    onSelected: {
        type: import("vue").PropType<(item: import("./types").IActionSheetOption, index: number) => void>;
        default: undefined;
    };
    onCancel: {
        type: import("vue").PropType<() => void>;
        default: undefined;
    };
    keys: {
        type: import("vue").PropType<import("@xuanmo/dl-common").CustomKeys>;
        default: undefined;
    };
}>>, {
    bem: (el?: import("@xuanmo/dl-common").Modifiers | null | undefined, modifier?: import("@xuanmo/dl-common").Modifiers | undefined) => string;
    innerVisible: import("vue").WritableComputedRef<boolean>;
    valueKey: "value";
    labelKey: "label";
    onVisible: (value: boolean) => void;
    onClose: () => void;
    onSelected: (item: import("./types").IActionSheetOption, index: number) => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, import("vue").EmitsOptions, "close" | "update:visible" | "selected", {
    keys: import("@xuanmo/dl-common").CustomKeys;
    visible: boolean;
    options: import("./types").ActionSheetOptions;
    align: "left" | "center";
    showCancel: boolean;
    cancelButtonText: string;
    description: string;
    onSelected: (item: import("./types").IActionSheetOption, index: number) => void;
    onCancel: () => void;
}, {}, string, {}> & (import("vue").VNodeProps & (import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & import("vue").Plugin));
export { type ActionSheetProps } from './props';
export * from './types';
export * from './function-call';
declare module 'vue' {
    interface GlobalComponents {
        DActionSheet: typeof ActionSheet;
    }
}
