import { CascaderValue } from '@xuanmo/dl-common';
import { CascaderStore } from './store';
declare const _default: import("vue").DefineComponent<{
    modelValue: {
        type: import("vue").PropType<CascaderValue>;
        default: never[];
    };
    placeholder: {
        type: StringConstructor;
        default: string;
    };
    options: {
        type: import("vue").PropType<import("@xuanmo/dl-common").ICascaderOption[]>;
        required: boolean;
        default: () => never[];
    };
    title: {
        type: StringConstructor;
        default: string;
    };
    cancelButtonText: {
        type: StringConstructor;
        default: string;
    };
    confirmButtonText: {
        type: StringConstructor;
        default: string;
    };
    searchPlaceholder: {
        type: StringConstructor;
        default: string;
    };
    lazy: BooleanConstructor;
    lazyLoad: {
        type: import("vue").PropType<(option: import("@xuanmo/dl-common").ICascaderOption) => Promise<import("@xuanmo/dl-common").ICascaderOption[]>>;
        default: undefined;
    };
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    keys: {
        type: import("vue").PropType<import("@xuanmo/dl-common").CustomKeys>;
        default: undefined;
    };
    readonly: {
        type: BooleanConstructor;
        default: boolean;
    };
}, {
    wrapperClassName: string;
    triggerClassName: import("vue").ComputedRef<string>;
    bodyClassName: string;
    visible: import("vue").Ref<boolean>;
    displayLabel: import("vue").Ref<string>;
    store: CascaderStore;
    bem: (el?: import("@xuanmo/dl-common").Modifiers | null | undefined, modifier?: import("@xuanmo/dl-common").Modifiers | undefined) => string;
    showPicker: () => void;
    handleCancel: () => void;
    handleConfirm: () => void;
    handleClear: () => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("close" | "clear" | "update:model-value" | "confirm")[], "close" | "clear" | "update:model-value" | "confirm", import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    modelValue: {
        type: import("vue").PropType<CascaderValue>;
        default: never[];
    };
    placeholder: {
        type: StringConstructor;
        default: string;
    };
    options: {
        type: import("vue").PropType<import("@xuanmo/dl-common").ICascaderOption[]>;
        required: boolean;
        default: () => never[];
    };
    title: {
        type: StringConstructor;
        default: string;
    };
    cancelButtonText: {
        type: StringConstructor;
        default: string;
    };
    confirmButtonText: {
        type: StringConstructor;
        default: string;
    };
    searchPlaceholder: {
        type: StringConstructor;
        default: string;
    };
    lazy: BooleanConstructor;
    lazyLoad: {
        type: import("vue").PropType<(option: import("@xuanmo/dl-common").ICascaderOption) => Promise<import("@xuanmo/dl-common").ICascaderOption[]>>;
        default: undefined;
    };
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    keys: {
        type: import("vue").PropType<import("@xuanmo/dl-common").CustomKeys>;
        default: undefined;
    };
    readonly: {
        type: BooleanConstructor;
        default: boolean;
    };
}>> & {
    onClose?: ((...args: any[]) => any) | undefined;
    "onUpdate:model-value"?: ((...args: any[]) => any) | undefined;
    onConfirm?: ((...args: any[]) => any) | undefined;
    onClear?: ((...args: any[]) => any) | undefined;
}, {
    disabled: boolean;
    keys: import("@xuanmo/dl-common").CustomKeys;
    readonly: boolean;
    options: import("@xuanmo/dl-common").ICascaderOption[];
    cancelButtonText: string;
    title: string;
    modelValue: CascaderValue;
    placeholder: string;
    confirmButtonText: string;
    searchPlaceholder: string;
    lazy: boolean;
    lazyLoad: (option: import("@xuanmo/dl-common").ICascaderOption) => Promise<import("@xuanmo/dl-common").ICascaderOption[]>;
}, {}>;
export default _default;
