import { ExtractPropTypes, PropType } from 'vue';
import { IData, DirectionType } from '@xuanmo/dl-common';
export type CheckboxGroupProps = ExtractPropTypes<typeof CHECKBOX_GROUP_PROPS>;
export declare const CHECKBOX_GROUP_PROPS: {
    modelValue: {
        type: PropType<(string | number)[]>;
        default: undefined;
    };
    direction: {
        type: PropType<DirectionType>;
        default: string;
    };
    options: {
        type: PropType<IData<string | number>[] | undefined>;
        default: undefined;
    };
    /**
     * 最大选择个数
     */
    max: NumberConstructor;
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    keys: {
        type: PropType<import("@xuanmo/dl-common").CustomKeys>;
        default: undefined;
    };
    readonly: {
        type: BooleanConstructor;
        default: boolean;
    };
    separator: {
        type: StringConstructor;
        default: undefined;
    };
};
