declare const _default: import("vue").DefineComponent<{
    modelValue: {
        type: import("vue").PropType<string | number | undefined>;
        default: undefined;
    };
    type: {
        type: import("vue").PropType<"number" | "text" | "password" | "email" | "url">;
        default: string;
    };
    name: {
        type: StringConstructor;
        default: string;
    };
    autofocus: {
        type: BooleanConstructor;
        default: boolean;
    };
    inputAlign: {
        type: import("vue").PropType<"left" | "center" | "right">;
        default: string;
    };
    maxlength: {
        type: NumberConstructor;
        default: number;
    };
    autocomplete: {
        type: StringConstructor;
        default: string;
    };
    clearable: {
        type: BooleanConstructor;
        default: boolean;
    };
    placeholder: {
        type: StringConstructor;
        default: string;
    };
    formatter: {
        type: import("vue").PropType<(value: string | number | undefined) => string>;
        default: null;
    };
    formatterTrigger: {
        type: import("vue").PropType<import("@xuanmo/dl-common").FieldFormatterTrigger | undefined>;
        default: string;
    };
    border: {
        type: BooleanConstructor;
        default: boolean;
    };
    status: {
        type: import("vue").PropType<"warning" | "error">;
        default: undefined;
    };
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    rowId: {
        type: StringConstructor;
        default: undefined;
    };
    model: {
        type: import("vue").PropType<import("@xuanmo/dl-common").IFormModelItem<unknown>>;
        default: undefined;
    };
    readonly: {
        type: BooleanConstructor;
        default: boolean;
    };
}, {
    bem: (el?: import("@xuanmo/dl-common").Modifiers | null | undefined, modifier?: import("@xuanmo/dl-common").Modifiers | undefined) => string;
    innerValue: import("vue").WritableComputedRef<string | number | undefined>;
    inputClassName: import("vue").ComputedRef<string>;
    innerClassName: import("vue").ComputedRef<string>;
    suffixIconClass: string;
    showCloseIcon: import("vue").ComputedRef<boolean | "" | 0 | undefined>;
    onInput: (event: Event) => void;
    onClear: (event: MouseEvent) => void;
    onBlur: (event: Event) => void;
    onFocus: (event: Event) => void;
    onClick: (event: MouseEvent) => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("clear" | "update:model-value" | "change" | "blur" | "focus" | "click-input")[], "clear" | "update:model-value" | "change" | "blur" | "focus" | "click-input", import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    modelValue: {
        type: import("vue").PropType<string | number | undefined>;
        default: undefined;
    };
    type: {
        type: import("vue").PropType<"number" | "text" | "password" | "email" | "url">;
        default: string;
    };
    name: {
        type: StringConstructor;
        default: string;
    };
    autofocus: {
        type: BooleanConstructor;
        default: boolean;
    };
    inputAlign: {
        type: import("vue").PropType<"left" | "center" | "right">;
        default: string;
    };
    maxlength: {
        type: NumberConstructor;
        default: number;
    };
    autocomplete: {
        type: StringConstructor;
        default: string;
    };
    clearable: {
        type: BooleanConstructor;
        default: boolean;
    };
    placeholder: {
        type: StringConstructor;
        default: string;
    };
    formatter: {
        type: import("vue").PropType<(value: string | number | undefined) => string>;
        default: null;
    };
    formatterTrigger: {
        type: import("vue").PropType<import("@xuanmo/dl-common").FieldFormatterTrigger | undefined>;
        default: string;
    };
    border: {
        type: BooleanConstructor;
        default: boolean;
    };
    status: {
        type: import("vue").PropType<"warning" | "error">;
        default: undefined;
    };
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    rowId: {
        type: StringConstructor;
        default: undefined;
    };
    model: {
        type: import("vue").PropType<import("@xuanmo/dl-common").IFormModelItem<unknown>>;
        default: undefined;
    };
    readonly: {
        type: BooleanConstructor;
        default: boolean;
    };
}>> & {
    onFocus?: ((...args: any[]) => any) | undefined;
    onBlur?: ((...args: any[]) => any) | undefined;
    onChange?: ((...args: any[]) => any) | undefined;
    "onUpdate:model-value"?: ((...args: any[]) => any) | undefined;
    onClear?: ((...args: any[]) => any) | undefined;
    "onClick-input"?: ((...args: any[]) => any) | undefined;
}, {
    disabled: boolean;
    type: "number" | "text" | "password" | "email" | "url";
    rowId: string;
    model: import("@xuanmo/dl-common").IFormModelItem<unknown>;
    readonly: boolean;
    border: boolean;
    name: string;
    modelValue: string | number | undefined;
    placeholder: string;
    formatter: (value: string | number | undefined) => string;
    autofocus: boolean;
    inputAlign: "left" | "center" | "right";
    maxlength: number;
    autocomplete: string;
    clearable: boolean;
    formatterTrigger: import("@xuanmo/dl-common").FieldFormatterTrigger | undefined;
    status: "warning" | "error";
}, {}>;
export default _default;
