import { ExtractPropTypes, PropType } from 'vue';
export type NavBarProps = ExtractPropTypes<typeof NAV_BAR_PROPS>;
export declare const NAV_BAR_PROPS: {
    title: {
        type: StringConstructor;
        default: string;
    };
    /**
     * 显示返回剪头
     */
    backArrow: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * 标题对齐方式
     */
    titleAlign: {
        type: PropType<"left" | "center">;
        default: string;
    };
    /**
     * 是否显示下边框
     */
    border: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * 左侧文字
     */
    leftText: {
        type: StringConstructor;
        default: string;
    };
    /**
     * 右侧文字
     */
    rightText: {
        type: StringConstructor;
        default: string;
    };
    /**
     * 按钮高亮
     */
    buttonHighlight: {
        type: BooleanConstructor;
        default: boolean;
    };
};
