import Picker from './picker.vue';
export declare const DPicker: {
    new (...args: any[]): import("vue").CreateComponentPublicInstance<Readonly<import("vue").ExtractPropTypes<{
        modelValue: {
            type: import("vue").PropType<import("./props").PickerValue>;
            default: undefined;
        };
        placeholder: {
            type: StringConstructor;
            default: string;
        };
        visible: BooleanConstructor;
        controlled: {
            type: BooleanConstructor;
            default: boolean;
        };
        options: {
            type: import("vue").PropType<import("./props").PickerOptions>;
            default: () => never[];
        };
        title: {
            type: StringConstructor;
            default: string;
        };
        cancelButtonText: {
            type: StringConstructor;
            default: string;
        };
        confirmButtonText: {
            type: StringConstructor;
            default: string;
        };
        optionHeight: {
            type: NumberConstructor;
            default: number;
        };
        disabled: {
            type: BooleanConstructor;
            default: boolean;
        };
        keys: {
            type: import("vue").PropType<import("@xuanmo/dl-common").CustomKeys>;
            default: undefined;
        };
        readonly: {
            type: BooleanConstructor;
            default: boolean;
        };
    }>> & {
        onClose?: ((...args: any[]) => any) | undefined;
        "onUpdate:visible"?: ((...args: any[]) => any) | undefined;
        onChange?: ((...args: any[]) => any) | undefined;
        "onUpdate:model-value"?: ((...args: any[]) => any) | undefined;
        onConfirm?: ((...args: any[]) => any) | undefined;
    }, {
        innerVisible: import("vue").Ref<boolean>;
        className: string;
        contentClassName: string;
        triggerClassName: import("vue").ComputedRef<string>;
        formattedColumns: import("vue").ComputedRef<import("./props").PickerOption[][]>;
        contentStyle: import("vue").ComputedRef<import("vue").CSSProperties>;
        isCascade: import("vue").ComputedRef<boolean>;
        displayValue: import("vue").Ref<string>;
        scrollRefs: import("vue").Ref<import("../scroll-radio").ScrollRadioInstance[] | undefined>;
        showPicker: () => void;
        handleClose: () => void;
        handleChange: (data: import("@xuanmo/dl-common").IData<string | number>, columnIndex: number) => void;
        handleConfirm: () => void;
        formatColumnValue: (columnIndex: number) => string | number;
    }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("close" | "update:visible" | "update:model-value" | "confirm" | "change")[], import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & Readonly<import("vue").ExtractPropTypes<{
        modelValue: {
            type: import("vue").PropType<import("./props").PickerValue>;
            default: undefined;
        };
        placeholder: {
            type: StringConstructor;
            default: string;
        };
        visible: BooleanConstructor;
        controlled: {
            type: BooleanConstructor;
            default: boolean;
        };
        options: {
            type: import("vue").PropType<import("./props").PickerOptions>;
            default: () => never[];
        };
        title: {
            type: StringConstructor;
            default: string;
        };
        cancelButtonText: {
            type: StringConstructor;
            default: string;
        };
        confirmButtonText: {
            type: StringConstructor;
            default: string;
        };
        optionHeight: {
            type: NumberConstructor;
            default: number;
        };
        disabled: {
            type: BooleanConstructor;
            default: boolean;
        };
        keys: {
            type: import("vue").PropType<import("@xuanmo/dl-common").CustomKeys>;
            default: undefined;
        };
        readonly: {
            type: BooleanConstructor;
            default: boolean;
        };
    }>> & {
        onClose?: ((...args: any[]) => any) | undefined;
        "onUpdate:visible"?: ((...args: any[]) => any) | undefined;
        onChange?: ((...args: any[]) => any) | undefined;
        "onUpdate:model-value"?: ((...args: any[]) => any) | undefined;
        onConfirm?: ((...args: any[]) => any) | undefined;
    }, {
        disabled: boolean;
        keys: import("@xuanmo/dl-common").CustomKeys;
        readonly: boolean;
        visible: boolean;
        options: import("./props").PickerOptions;
        cancelButtonText: string;
        title: string;
        modelValue: import("./props").PickerValue;
        placeholder: string;
        confirmButtonText: string;
        controlled: boolean;
        optionHeight: number;
    }, true, {}, {}, {
        P: {};
        B: {};
        D: {};
        C: {};
        M: {};
        Defaults: {};
    }, Readonly<import("vue").ExtractPropTypes<{
        modelValue: {
            type: import("vue").PropType<import("./props").PickerValue>;
            default: undefined;
        };
        placeholder: {
            type: StringConstructor;
            default: string;
        };
        visible: BooleanConstructor;
        controlled: {
            type: BooleanConstructor;
            default: boolean;
        };
        options: {
            type: import("vue").PropType<import("./props").PickerOptions>;
            default: () => never[];
        };
        title: {
            type: StringConstructor;
            default: string;
        };
        cancelButtonText: {
            type: StringConstructor;
            default: string;
        };
        confirmButtonText: {
            type: StringConstructor;
            default: string;
        };
        optionHeight: {
            type: NumberConstructor;
            default: number;
        };
        disabled: {
            type: BooleanConstructor;
            default: boolean;
        };
        keys: {
            type: import("vue").PropType<import("@xuanmo/dl-common").CustomKeys>;
            default: undefined;
        };
        readonly: {
            type: BooleanConstructor;
            default: boolean;
        };
    }>> & {
        onClose?: ((...args: any[]) => any) | undefined;
        "onUpdate:visible"?: ((...args: any[]) => any) | undefined;
        onChange?: ((...args: any[]) => any) | undefined;
        "onUpdate:model-value"?: ((...args: any[]) => any) | undefined;
        onConfirm?: ((...args: any[]) => any) | undefined;
    }, {
        innerVisible: import("vue").Ref<boolean>;
        className: string;
        contentClassName: string;
        triggerClassName: import("vue").ComputedRef<string>;
        formattedColumns: import("vue").ComputedRef<import("./props").PickerOption[][]>;
        contentStyle: import("vue").ComputedRef<import("vue").CSSProperties>;
        isCascade: import("vue").ComputedRef<boolean>;
        displayValue: import("vue").Ref<string>;
        scrollRefs: import("vue").Ref<import("../scroll-radio").ScrollRadioInstance[] | undefined>;
        showPicker: () => void;
        handleClose: () => void;
        handleChange: (data: import("@xuanmo/dl-common").IData<string | number>, columnIndex: number) => void;
        handleConfirm: () => void;
        formatColumnValue: (columnIndex: number) => string | number;
    }, {}, {}, {}, {
        disabled: boolean;
        keys: import("@xuanmo/dl-common").CustomKeys;
        readonly: boolean;
        visible: boolean;
        options: import("./props").PickerOptions;
        cancelButtonText: string;
        title: string;
        modelValue: import("./props").PickerValue;
        placeholder: string;
        confirmButtonText: string;
        controlled: boolean;
        optionHeight: number;
    }>;
    __isFragment?: undefined;
    __isTeleport?: undefined;
    __isSuspense?: undefined;
} & import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
    modelValue: {
        type: import("vue").PropType<import("./props").PickerValue>;
        default: undefined;
    };
    placeholder: {
        type: StringConstructor;
        default: string;
    };
    visible: BooleanConstructor;
    controlled: {
        type: BooleanConstructor;
        default: boolean;
    };
    options: {
        type: import("vue").PropType<import("./props").PickerOptions>;
        default: () => never[];
    };
    title: {
        type: StringConstructor;
        default: string;
    };
    cancelButtonText: {
        type: StringConstructor;
        default: string;
    };
    confirmButtonText: {
        type: StringConstructor;
        default: string;
    };
    optionHeight: {
        type: NumberConstructor;
        default: number;
    };
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    keys: {
        type: import("vue").PropType<import("@xuanmo/dl-common").CustomKeys>;
        default: undefined;
    };
    readonly: {
        type: BooleanConstructor;
        default: boolean;
    };
}>> & {
    onClose?: ((...args: any[]) => any) | undefined;
    "onUpdate:visible"?: ((...args: any[]) => any) | undefined;
    onChange?: ((...args: any[]) => any) | undefined;
    "onUpdate:model-value"?: ((...args: any[]) => any) | undefined;
    onConfirm?: ((...args: any[]) => any) | undefined;
}, {
    innerVisible: import("vue").Ref<boolean>;
    className: string;
    contentClassName: string;
    triggerClassName: import("vue").ComputedRef<string>;
    formattedColumns: import("vue").ComputedRef<import("./props").PickerOption[][]>;
    contentStyle: import("vue").ComputedRef<import("vue").CSSProperties>;
    isCascade: import("vue").ComputedRef<boolean>;
    displayValue: import("vue").Ref<string>;
    scrollRefs: import("vue").Ref<import("../scroll-radio").ScrollRadioInstance[] | undefined>;
    showPicker: () => void;
    handleClose: () => void;
    handleChange: (data: import("@xuanmo/dl-common").IData<string | number>, columnIndex: number) => void;
    handleConfirm: () => void;
    formatColumnValue: (columnIndex: number) => string | number;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("close" | "update:visible" | "update:model-value" | "confirm" | "change")[], "close" | "update:visible" | "update:model-value" | "confirm" | "change", {
    disabled: boolean;
    keys: import("@xuanmo/dl-common").CustomKeys;
    readonly: boolean;
    visible: boolean;
    options: import("./props").PickerOptions;
    cancelButtonText: string;
    title: string;
    modelValue: import("./props").PickerValue;
    placeholder: string;
    confirmButtonText: string;
    controlled: boolean;
    optionHeight: number;
}, {}, string, {}> & (import("vue").VNodeProps & (import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & import("vue").Plugin));
export { type PickerOptions, type PickerOption, type PickerProps } from './props';
declare module 'vue' {
    interface GlobalComponents {
        DPicker: typeof Picker;
    }
}
