import { CSSProperties } from 'vue';
import { IData } from '@xuanmo/dl-common';
import { PickerOption, PickerValue } from './props';
import { ScrollRadioInstance } from '../scroll-radio';
declare const _default: import("vue").DefineComponent<{
    modelValue: {
        type: import("vue").PropType<PickerValue>;
        default: undefined;
    };
    placeholder: {
        type: StringConstructor;
        default: string;
    };
    visible: BooleanConstructor;
    controlled: {
        type: BooleanConstructor;
        default: boolean;
    };
    options: {
        type: import("vue").PropType<import("./props").PickerOptions>;
        default: () => never[];
    };
    title: {
        type: StringConstructor;
        default: string;
    };
    cancelButtonText: {
        type: StringConstructor;
        default: string;
    };
    confirmButtonText: {
        type: StringConstructor;
        default: string;
    };
    optionHeight: {
        type: NumberConstructor;
        default: number;
    };
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    keys: {
        type: import("vue").PropType<import("@xuanmo/dl-common").CustomKeys>;
        default: undefined;
    };
    readonly: {
        type: BooleanConstructor;
        default: boolean;
    };
}, {
    innerVisible: import("vue").Ref<boolean>;
    className: string;
    contentClassName: string;
    triggerClassName: import("vue").ComputedRef<string>;
    formattedColumns: import("vue").ComputedRef<PickerOption[][]>;
    contentStyle: import("vue").ComputedRef<CSSProperties>;
    isCascade: import("vue").ComputedRef<boolean>;
    displayValue: import("vue").Ref<string>;
    scrollRefs: import("vue").Ref<ScrollRadioInstance[] | undefined>;
    showPicker: () => void;
    handleClose: () => void;
    handleChange: (data: IData, columnIndex: number) => void;
    handleConfirm: () => void;
    formatColumnValue: (columnIndex: number) => string | number;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("close" | "update:visible" | "update:model-value" | "confirm" | "change")[], "close" | "update:visible" | "update:model-value" | "confirm" | "change", import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    modelValue: {
        type: import("vue").PropType<PickerValue>;
        default: undefined;
    };
    placeholder: {
        type: StringConstructor;
        default: string;
    };
    visible: BooleanConstructor;
    controlled: {
        type: BooleanConstructor;
        default: boolean;
    };
    options: {
        type: import("vue").PropType<import("./props").PickerOptions>;
        default: () => never[];
    };
    title: {
        type: StringConstructor;
        default: string;
    };
    cancelButtonText: {
        type: StringConstructor;
        default: string;
    };
    confirmButtonText: {
        type: StringConstructor;
        default: string;
    };
    optionHeight: {
        type: NumberConstructor;
        default: number;
    };
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    keys: {
        type: import("vue").PropType<import("@xuanmo/dl-common").CustomKeys>;
        default: undefined;
    };
    readonly: {
        type: BooleanConstructor;
        default: boolean;
    };
}>> & {
    onClose?: ((...args: any[]) => any) | undefined;
    "onUpdate:visible"?: ((...args: any[]) => any) | undefined;
    onChange?: ((...args: any[]) => any) | undefined;
    "onUpdate:model-value"?: ((...args: any[]) => any) | undefined;
    onConfirm?: ((...args: any[]) => any) | undefined;
}, {
    disabled: boolean;
    keys: import("@xuanmo/dl-common").CustomKeys;
    readonly: boolean;
    visible: boolean;
    options: import("./props").PickerOptions;
    cancelButtonText: string;
    title: string;
    modelValue: PickerValue;
    placeholder: string;
    confirmButtonText: string;
    controlled: boolean;
    optionHeight: number;
}, {}>;
export default _default;
