import { ExtractPropTypes, PropType } from 'vue';
import { IData, DirectionType } from '@xuanmo/dl-common';
export type RadioGroupProps = ExtractPropTypes<typeof RADIO_GROUP_PROPS>;
export declare const RADIO_GROUP_PROPS: {
    modelValue: {
        type: (StringConstructor | NumberConstructor)[];
        default: undefined;
    };
    options: {
        type: PropType<IData<string | number>[] | undefined>;
        default: undefined;
    };
    direction: {
        type: PropType<DirectionType>;
        default: string;
    };
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    keys: {
        type: PropType<import("@xuanmo/dl-common").CustomKeys>;
        default: undefined;
    };
    readonly: {
        type: BooleanConstructor;
        default: boolean;
    };
};
