import { ExtractPropTypes, PropType } from 'vue';
export type RadioProps = ExtractPropTypes<typeof RADIO_PROPS>;
export declare const RADIO_PROPS: {
    /**
     * 单选框值
     */
    value: {
        type: PropType<string | number>;
        default: string;
    };
    /**
     * 单选框显示文字
     */
    label: StringConstructor;
    /**
     * 是否默认选中
     */
    defaultChecked: BooleanConstructor;
    /**
     * 是否禁用
     */
    disabled: BooleanConstructor;
    name: StringConstructor;
};
