import { PropType } from 'vue';
import { IData } from '@xuanmo/dl-common';
export declare const SCROLL_RADIO_PROPS: {
    value: {
        type: PropType<string | number>;
        default: string;
    };
    options: {
        type: PropType<IData<string | number>[]>;
        required: boolean;
        default: () => never[];
    };
    /**
     * 选项单个高度
     */
    optionHeight: {
        type: NumberConstructor;
        default: number;
    };
    /**
     * 可见选项个数
     */
    visibleOptionNum: {
        type: PropType<5 | 7>;
        default: number;
    };
    /**
     * 是否需要空白占位，默认需要
     */
    needPlaceholder: {
        type: BooleanConstructor;
        default: boolean;
    };
};
export declare const SCROLL_RADIO_ITEM_PROPS: {
    optionHeight: {
        type: NumberConstructor;
        default: number;
    };
    option: {
        type: PropType<IData<string | number>>;
        default: () => {};
    };
};
