import { FormStore } from '@xuanmo/dl-common';
declare const _default: import("vue").DefineComponent<{
    modelValue: {
        type: StringConstructor;
        default: undefined;
    };
    name: {
        type: StringConstructor;
        default: string;
    };
    maxlength: {
        type: NumberConstructor;
        default: number;
    };
    placeholder: {
        type: StringConstructor;
        default: string;
    };
    autofocus: {
        type: BooleanConstructor;
        default: boolean;
    };
    clearable: {
        type: BooleanConstructor;
        default: boolean;
    };
    inputAlign: {
        type: import("vue").PropType<"left" | "center" | "right">;
        default: string;
    };
    autocomplete: {
        type: StringConstructor;
        default: string;
    };
    round: {
        type: BooleanConstructor;
        default: boolean;
    };
    formatter: {
        type: import("vue").PropType<(value: string | number | undefined) => string>;
        default: null;
    };
    formatterTrigger: {
        type: import("vue").PropType<import("@xuanmo/dl-common").FieldFormatterTrigger | undefined>;
        default: string;
    };
    showCancelButton: {
        type: BooleanConstructor;
        default: boolean;
    };
    advancedSearch: {
        type: BooleanConstructor;
        default: boolean;
    };
    advancedSearchTitle: {
        type: StringConstructor;
        default: string;
    };
    searchResetText: {
        type: StringConstructor;
        default: string;
    };
    searchConfirmText: {
        type: StringConstructor;
        default: string;
    };
    formProps: {
        type: import("vue").PropType<Partial<import("@xuanmo/dl-common").FormProps>>;
        default: undefined;
    };
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    readonly: {
        type: BooleanConstructor;
        default: boolean;
    };
}, {
    bem: (el?: import("@xuanmo/dl-common").Modifiers | null | undefined, modifier?: import("@xuanmo/dl-common").Modifiers | undefined) => string;
    wrapperClassName: string;
    bodyClassName: import("vue").ComputedRef<string>;
    searchIconClass: import("vue").ComputedRef<string>;
    innerValue: import("vue").WritableComputedRef<string>;
    popupVisible: import("vue").Ref<boolean>;
    formStore: FormStore;
    searchActive: import("vue").Ref<boolean>;
    showCancel: import("vue").Ref<boolean>;
    onInternalChange: (value: string) => void;
    onBlur: (value: string, event: MouseEvent) => void;
    onFocus: (value: string, event: MouseEvent) => void;
    onConfirm: () => void;
    onReset: () => void;
    onQuickSearch: () => void;
    onCancel: () => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("cancel" | "reset" | "update:model-value" | "confirm" | "blur" | "focus" | "quick-search")[], "cancel" | "reset" | "update:model-value" | "confirm" | "blur" | "focus" | "quick-search", import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    modelValue: {
        type: StringConstructor;
        default: undefined;
    };
    name: {
        type: StringConstructor;
        default: string;
    };
    maxlength: {
        type: NumberConstructor;
        default: number;
    };
    placeholder: {
        type: StringConstructor;
        default: string;
    };
    autofocus: {
        type: BooleanConstructor;
        default: boolean;
    };
    clearable: {
        type: BooleanConstructor;
        default: boolean;
    };
    inputAlign: {
        type: import("vue").PropType<"left" | "center" | "right">;
        default: string;
    };
    autocomplete: {
        type: StringConstructor;
        default: string;
    };
    round: {
        type: BooleanConstructor;
        default: boolean;
    };
    formatter: {
        type: import("vue").PropType<(value: string | number | undefined) => string>;
        default: null;
    };
    formatterTrigger: {
        type: import("vue").PropType<import("@xuanmo/dl-common").FieldFormatterTrigger | undefined>;
        default: string;
    };
    showCancelButton: {
        type: BooleanConstructor;
        default: boolean;
    };
    advancedSearch: {
        type: BooleanConstructor;
        default: boolean;
    };
    advancedSearchTitle: {
        type: StringConstructor;
        default: string;
    };
    searchResetText: {
        type: StringConstructor;
        default: string;
    };
    searchConfirmText: {
        type: StringConstructor;
        default: string;
    };
    formProps: {
        type: import("vue").PropType<Partial<import("@xuanmo/dl-common").FormProps>>;
        default: undefined;
    };
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    readonly: {
        type: BooleanConstructor;
        default: boolean;
    };
}>> & {
    onCancel?: ((...args: any[]) => any) | undefined;
    onFocus?: ((...args: any[]) => any) | undefined;
    onBlur?: ((...args: any[]) => any) | undefined;
    onReset?: ((...args: any[]) => any) | undefined;
    "onUpdate:model-value"?: ((...args: any[]) => any) | undefined;
    onConfirm?: ((...args: any[]) => any) | undefined;
    "onQuick-search"?: ((...args: any[]) => any) | undefined;
}, {
    disabled: boolean;
    readonly: boolean;
    round: boolean;
    name: string;
    modelValue: string;
    placeholder: string;
    formatter: (value: string | number | undefined) => string;
    autofocus: boolean;
    inputAlign: "left" | "center" | "right";
    maxlength: number;
    autocomplete: string;
    clearable: boolean;
    formatterTrigger: import("@xuanmo/dl-common").FieldFormatterTrigger | undefined;
    showCancelButton: boolean;
    advancedSearch: boolean;
    advancedSearchTitle: string;
    searchResetText: string;
    searchConfirmText: string;
    formProps: Partial<import("@xuanmo/dl-common").FormProps>;
}, {}>;
export default _default;
