import { ExtractPropTypes, PropType } from 'vue';
export type SwitchProps = ExtractPropTypes<typeof SWITCH_PROPS>;
export declare const SWITCH_PROPS: {
    modelValue: {
        type: BooleanConstructor;
        default: undefined;
    };
    size: {
        type: PropType<"small" | "medium" | "large">;
        default: string;
    };
    loading: BooleanConstructor;
    round: {
        type: BooleanConstructor;
        default: boolean;
    };
    beforeChange: {
        type: PropType<() => Promise<boolean>>;
        default: null;
    };
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    readonly: {
        type: BooleanConstructor;
        default: boolean;
    };
};
