import Tabs from './tabs.vue';
import TabPanel from './tab-panel.vue';
export declare const DTabs: {
    new (...args: any[]): import("vue").CreateComponentPublicInstance<Readonly<import("vue").ExtractPropTypes<{
        modelValue: {
            type: (StringConstructor | NumberConstructor)[];
            default: undefined;
        };
        sticky: {
            type: BooleanConstructor;
            default: boolean;
        };
        round: {
            type: BooleanConstructor;
            default: undefined;
        };
    }>> & {
        "onUpdate:model-value"?: ((...args: any[]) => any) | undefined;
        "onTab-click"?: ((...args: any[]) => any) | undefined;
    }, {
        wrapperClassName: import("vue").ComputedRef<string>;
        navClassName: string;
        navItemClassName: string;
        contentClassName: string;
        items: import("vue").ComputedRef<import("./types").TabsItemType[]>;
        value: import("vue").WritableComputedRef<string | number>;
        childrenMap: Map<import("./types").TabsValueType, import("./types").TabsItemType>;
        navStyle: import("vue").ComputedRef<import("vue").CSSProperties>;
        handleTabClick: (item: import("./types").TabsItemType, index: number) => void;
    }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("update:model-value" | "tab-click")[], import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & Readonly<import("vue").ExtractPropTypes<{
        modelValue: {
            type: (StringConstructor | NumberConstructor)[];
            default: undefined;
        };
        sticky: {
            type: BooleanConstructor;
            default: boolean;
        };
        round: {
            type: BooleanConstructor;
            default: undefined;
        };
    }>> & {
        "onUpdate:model-value"?: ((...args: any[]) => any) | undefined;
        "onTab-click"?: ((...args: any[]) => any) | undefined;
    }, {
        round: boolean;
        modelValue: string | number;
        sticky: boolean;
    }, true, {}, {}, {
        P: {};
        B: {};
        D: {};
        C: {};
        M: {};
        Defaults: {};
    }, Readonly<import("vue").ExtractPropTypes<{
        modelValue: {
            type: (StringConstructor | NumberConstructor)[];
            default: undefined;
        };
        sticky: {
            type: BooleanConstructor;
            default: boolean;
        };
        round: {
            type: BooleanConstructor;
            default: undefined;
        };
    }>> & {
        "onUpdate:model-value"?: ((...args: any[]) => any) | undefined;
        "onTab-click"?: ((...args: any[]) => any) | undefined;
    }, {
        wrapperClassName: import("vue").ComputedRef<string>;
        navClassName: string;
        navItemClassName: string;
        contentClassName: string;
        items: import("vue").ComputedRef<import("./types").TabsItemType[]>;
        value: import("vue").WritableComputedRef<string | number>;
        childrenMap: Map<import("./types").TabsValueType, import("./types").TabsItemType>;
        navStyle: import("vue").ComputedRef<import("vue").CSSProperties>;
        handleTabClick: (item: import("./types").TabsItemType, index: number) => void;
    }, {}, {}, {}, {
        round: boolean;
        modelValue: string | number;
        sticky: boolean;
    }>;
    __isFragment?: undefined;
    __isTeleport?: undefined;
    __isSuspense?: undefined;
} & import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
    modelValue: {
        type: (StringConstructor | NumberConstructor)[];
        default: undefined;
    };
    sticky: {
        type: BooleanConstructor;
        default: boolean;
    };
    round: {
        type: BooleanConstructor;
        default: undefined;
    };
}>> & {
    "onUpdate:model-value"?: ((...args: any[]) => any) | undefined;
    "onTab-click"?: ((...args: any[]) => any) | undefined;
}, {
    wrapperClassName: import("vue").ComputedRef<string>;
    navClassName: string;
    navItemClassName: string;
    contentClassName: string;
    items: import("vue").ComputedRef<import("./types").TabsItemType[]>;
    value: import("vue").WritableComputedRef<string | number>;
    childrenMap: Map<import("./types").TabsValueType, import("./types").TabsItemType>;
    navStyle: import("vue").ComputedRef<import("vue").CSSProperties>;
    handleTabClick: (item: import("./types").TabsItemType, index: number) => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("update:model-value" | "tab-click")[], "update:model-value" | "tab-click", {
    round: boolean;
    modelValue: string | number;
    sticky: boolean;
}, {}, string, {}> & (import("vue").VNodeProps & (import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & import("vue").Plugin));
export declare const DTabPanel: {
    new (...args: any[]): import("vue").CreateComponentPublicInstance<Readonly<import("vue").ExtractPropTypes<{
        name: {
            type: (StringConstructor | NumberConstructor)[];
            required: boolean;
        };
        label: {
            type: StringConstructor;
            required: boolean;
        };
    }>>, {
        panelClassName: string;
    }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & Readonly<import("vue").ExtractPropTypes<{
        name: {
            type: (StringConstructor | NumberConstructor)[];
            required: boolean;
        };
        label: {
            type: StringConstructor;
            required: boolean;
        };
    }>>, {}, true, {}, {}, {
        P: {};
        B: {};
        D: {};
        C: {};
        M: {};
        Defaults: {};
    }, Readonly<import("vue").ExtractPropTypes<{
        name: {
            type: (StringConstructor | NumberConstructor)[];
            required: boolean;
        };
        label: {
            type: StringConstructor;
            required: boolean;
        };
    }>>, {
        panelClassName: string;
    }, {}, {}, {}, {}>;
    __isFragment?: undefined;
    __isTeleport?: undefined;
    __isSuspense?: undefined;
} & import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
    name: {
        type: (StringConstructor | NumberConstructor)[];
        required: boolean;
    };
    label: {
        type: StringConstructor;
        required: boolean;
    };
}>>, {
    panelClassName: string;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, {}, {}, string, {}> & (import("vue").VNodeProps & (import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & import("vue").Plugin));
export { type TabsProps, type TabPanelProps } from './props';
declare module 'vue' {
    interface GlobalComponents {
        DTabs: typeof Tabs;
        DTabPanel: typeof TabPanel;
    }
}
