import { Ref } from 'vue';
import { TextareaProps } from './props';
/**
 * 自动计算多行文本高度
 * @param value 当前输入值
 * @param targetEl 当前多行文本元素
 * @param otherParams
 */
export declare const useCalcTextareaHeight: (value: Ref<string>, targetEl: Ref<HTMLTextAreaElement | null>, otherParams: Pick<TextareaProps, 'autosize'>) => {};
