import Upload from './upload.vue';
export declare const DUpload: {
    new (...args: any[]): import("vue").CreateComponentPublicInstance<Readonly<import("vue").ExtractPropTypes<{
        modelValue: {
            type: import("vue").PropType<import("./props").UploadListItemType[]>;
            default: () => never[];
        };
        action: StringConstructor;
        accept: {
            type: StringConstructor;
            default: string;
        };
        method: {
            type: StringConstructor;
            default: string;
        };
        name: {
            type: StringConstructor;
            default: string;
        };
        data: {
            type: ObjectConstructor;
            default: () => {};
        };
        headerParams: {
            type: ObjectConstructor;
            default: () => {};
        };
        multiple: {
            type: BooleanConstructor;
            default: boolean;
        };
        deletable: {
            type: BooleanConstructor;
            default: boolean;
        };
        capture: {
            type: import("vue").PropType<boolean | "user" | "environment" | undefined>;
            default: undefined;
        };
        maxSize: {
            type: NumberConstructor;
            default: number;
        };
        maxCount: {
            type: NumberConstructor;
            default: number;
        };
        previewSize: {
            type: (StringConstructor | NumberConstructor)[];
            default: number;
        };
        beforeUpload: {
            type: import("vue").PropType<import("./props").BeforeUploadType>;
            default: undefined;
        };
        uploadAfter: {
            type: import("vue").PropType<import("./props").AfterUploadType>;
            default: undefined;
        };
        disabled: {
            type: BooleanConstructor;
            default: boolean;
        };
        rowId: {
            type: StringConstructor;
            default: undefined;
        };
        model: {
            type: import("vue").PropType<import("@xuanmo/dl-common").IFormModelItem<unknown>>;
            default: undefined;
        };
        readonly: {
            type: BooleanConstructor;
            default: boolean;
        };
    }>> & {
        onChange?: ((...args: any[]) => any) | undefined;
        onError?: ((...args: any[]) => any) | undefined;
        "onUpdate:model-value"?: ((...args: any[]) => any) | undefined;
        onSuccess?: ((...args: any[]) => any) | undefined;
        "onExceed-count"?: ((...args: any[]) => any) | undefined;
        "onExceed-size"?: ((...args: any[]) => any) | undefined;
    }, {
        wrapperClassName: string;
        triggerClassName: import("vue").ComputedRef<string>;
        triggerIconClassName: string;
        localPreviewList: import("vue").Ref<{
            url: string;
            deletable: boolean;
            loading?: boolean | undefined;
            fail?: boolean | undefined;
        }[]>;
        previewList: import("vue").ComputedRef<import("./props").UploadListItemType[]>;
        triggerStyle: import("vue").ComputedRef<import("vue").CSSProperties>;
        canDeletable: import("vue").ComputedRef<boolean>;
        handleChange: (event: Event) => void;
        handleDeleteItem: (index: number) => void;
    }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("success" | "update:model-value" | "change" | "error" | "exceed-count" | "exceed-size")[], import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & Readonly<import("vue").ExtractPropTypes<{
        modelValue: {
            type: import("vue").PropType<import("./props").UploadListItemType[]>;
            default: () => never[];
        };
        action: StringConstructor;
        accept: {
            type: StringConstructor;
            default: string;
        };
        method: {
            type: StringConstructor;
            default: string;
        };
        name: {
            type: StringConstructor;
            default: string;
        };
        data: {
            type: ObjectConstructor;
            default: () => {};
        };
        headerParams: {
            type: ObjectConstructor;
            default: () => {};
        };
        multiple: {
            type: BooleanConstructor;
            default: boolean;
        };
        deletable: {
            type: BooleanConstructor;
            default: boolean;
        };
        capture: {
            type: import("vue").PropType<boolean | "user" | "environment" | undefined>;
            default: undefined;
        };
        maxSize: {
            type: NumberConstructor;
            default: number;
        };
        maxCount: {
            type: NumberConstructor;
            default: number;
        };
        previewSize: {
            type: (StringConstructor | NumberConstructor)[];
            default: number;
        };
        beforeUpload: {
            type: import("vue").PropType<import("./props").BeforeUploadType>;
            default: undefined;
        };
        uploadAfter: {
            type: import("vue").PropType<import("./props").AfterUploadType>;
            default: undefined;
        };
        disabled: {
            type: BooleanConstructor;
            default: boolean;
        };
        rowId: {
            type: StringConstructor;
            default: undefined;
        };
        model: {
            type: import("vue").PropType<import("@xuanmo/dl-common").IFormModelItem<unknown>>;
            default: undefined;
        };
        readonly: {
            type: BooleanConstructor;
            default: boolean;
        };
    }>> & {
        onChange?: ((...args: any[]) => any) | undefined;
        onError?: ((...args: any[]) => any) | undefined;
        "onUpdate:model-value"?: ((...args: any[]) => any) | undefined;
        onSuccess?: ((...args: any[]) => any) | undefined;
        "onExceed-count"?: ((...args: any[]) => any) | undefined;
        "onExceed-size"?: ((...args: any[]) => any) | undefined;
    }, {
        disabled: boolean;
        rowId: string;
        model: import("@xuanmo/dl-common").IFormModelItem<unknown>;
        readonly: boolean;
        name: string;
        data: Record<string, any>;
        multiple: boolean;
        modelValue: import("./props").UploadListItemType[];
        accept: string;
        method: string;
        headerParams: Record<string, any>;
        deletable: boolean;
        capture: boolean | "user" | "environment" | undefined;
        maxSize: number;
        maxCount: number;
        previewSize: string | number;
        beforeUpload: import("./props").BeforeUploadType;
        uploadAfter: import("./props").AfterUploadType;
    }, true, {}, {}, {
        P: {};
        B: {};
        D: {};
        C: {};
        M: {};
        Defaults: {};
    }, Readonly<import("vue").ExtractPropTypes<{
        modelValue: {
            type: import("vue").PropType<import("./props").UploadListItemType[]>;
            default: () => never[];
        };
        action: StringConstructor;
        accept: {
            type: StringConstructor;
            default: string;
        };
        method: {
            type: StringConstructor;
            default: string;
        };
        name: {
            type: StringConstructor;
            default: string;
        };
        data: {
            type: ObjectConstructor;
            default: () => {};
        };
        headerParams: {
            type: ObjectConstructor;
            default: () => {};
        };
        multiple: {
            type: BooleanConstructor;
            default: boolean;
        };
        deletable: {
            type: BooleanConstructor;
            default: boolean;
        };
        capture: {
            type: import("vue").PropType<boolean | "user" | "environment" | undefined>;
            default: undefined;
        };
        maxSize: {
            type: NumberConstructor;
            default: number;
        };
        maxCount: {
            type: NumberConstructor;
            default: number;
        };
        previewSize: {
            type: (StringConstructor | NumberConstructor)[];
            default: number;
        };
        beforeUpload: {
            type: import("vue").PropType<import("./props").BeforeUploadType>;
            default: undefined;
        };
        uploadAfter: {
            type: import("vue").PropType<import("./props").AfterUploadType>;
            default: undefined;
        };
        disabled: {
            type: BooleanConstructor;
            default: boolean;
        };
        rowId: {
            type: StringConstructor;
            default: undefined;
        };
        model: {
            type: import("vue").PropType<import("@xuanmo/dl-common").IFormModelItem<unknown>>;
            default: undefined;
        };
        readonly: {
            type: BooleanConstructor;
            default: boolean;
        };
    }>> & {
        onChange?: ((...args: any[]) => any) | undefined;
        onError?: ((...args: any[]) => any) | undefined;
        "onUpdate:model-value"?: ((...args: any[]) => any) | undefined;
        onSuccess?: ((...args: any[]) => any) | undefined;
        "onExceed-count"?: ((...args: any[]) => any) | undefined;
        "onExceed-size"?: ((...args: any[]) => any) | undefined;
    }, {
        wrapperClassName: string;
        triggerClassName: import("vue").ComputedRef<string>;
        triggerIconClassName: string;
        localPreviewList: import("vue").Ref<{
            url: string;
            deletable: boolean;
            loading?: boolean | undefined;
            fail?: boolean | undefined;
        }[]>;
        previewList: import("vue").ComputedRef<import("./props").UploadListItemType[]>;
        triggerStyle: import("vue").ComputedRef<import("vue").CSSProperties>;
        canDeletable: import("vue").ComputedRef<boolean>;
        handleChange: (event: Event) => void;
        handleDeleteItem: (index: number) => void;
    }, {}, {}, {}, {
        disabled: boolean;
        rowId: string;
        model: import("@xuanmo/dl-common").IFormModelItem<unknown>;
        readonly: boolean;
        name: string;
        data: Record<string, any>;
        multiple: boolean;
        modelValue: import("./props").UploadListItemType[];
        accept: string;
        method: string;
        headerParams: Record<string, any>;
        deletable: boolean;
        capture: boolean | "user" | "environment" | undefined;
        maxSize: number;
        maxCount: number;
        previewSize: string | number;
        beforeUpload: import("./props").BeforeUploadType;
        uploadAfter: import("./props").AfterUploadType;
    }>;
    __isFragment?: undefined;
    __isTeleport?: undefined;
    __isSuspense?: undefined;
} & import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
    modelValue: {
        type: import("vue").PropType<import("./props").UploadListItemType[]>;
        default: () => never[];
    };
    action: StringConstructor;
    accept: {
        type: StringConstructor;
        default: string;
    };
    method: {
        type: StringConstructor;
        default: string;
    };
    name: {
        type: StringConstructor;
        default: string;
    };
    data: {
        type: ObjectConstructor;
        default: () => {};
    };
    headerParams: {
        type: ObjectConstructor;
        default: () => {};
    };
    multiple: {
        type: BooleanConstructor;
        default: boolean;
    };
    deletable: {
        type: BooleanConstructor;
        default: boolean;
    };
    capture: {
        type: import("vue").PropType<boolean | "user" | "environment" | undefined>;
        default: undefined;
    };
    maxSize: {
        type: NumberConstructor;
        default: number;
    };
    maxCount: {
        type: NumberConstructor;
        default: number;
    };
    previewSize: {
        type: (StringConstructor | NumberConstructor)[];
        default: number;
    };
    beforeUpload: {
        type: import("vue").PropType<import("./props").BeforeUploadType>;
        default: undefined;
    };
    uploadAfter: {
        type: import("vue").PropType<import("./props").AfterUploadType>;
        default: undefined;
    };
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    rowId: {
        type: StringConstructor;
        default: undefined;
    };
    model: {
        type: import("vue").PropType<import("@xuanmo/dl-common").IFormModelItem<unknown>>;
        default: undefined;
    };
    readonly: {
        type: BooleanConstructor;
        default: boolean;
    };
}>> & {
    onChange?: ((...args: any[]) => any) | undefined;
    onError?: ((...args: any[]) => any) | undefined;
    "onUpdate:model-value"?: ((...args: any[]) => any) | undefined;
    onSuccess?: ((...args: any[]) => any) | undefined;
    "onExceed-count"?: ((...args: any[]) => any) | undefined;
    "onExceed-size"?: ((...args: any[]) => any) | undefined;
}, {
    wrapperClassName: string;
    triggerClassName: import("vue").ComputedRef<string>;
    triggerIconClassName: string;
    localPreviewList: import("vue").Ref<{
        url: string;
        deletable: boolean;
        loading?: boolean | undefined;
        fail?: boolean | undefined;
    }[]>;
    previewList: import("vue").ComputedRef<import("./props").UploadListItemType[]>;
    triggerStyle: import("vue").ComputedRef<import("vue").CSSProperties>;
    canDeletable: import("vue").ComputedRef<boolean>;
    handleChange: (event: Event) => void;
    handleDeleteItem: (index: number) => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("success" | "update:model-value" | "change" | "error" | "exceed-count" | "exceed-size")[], "success" | "update:model-value" | "change" | "error" | "exceed-count" | "exceed-size", {
    disabled: boolean;
    rowId: string;
    model: import("@xuanmo/dl-common").IFormModelItem<unknown>;
    readonly: boolean;
    name: string;
    data: Record<string, any>;
    multiple: boolean;
    modelValue: import("./props").UploadListItemType[];
    accept: string;
    method: string;
    headerParams: Record<string, any>;
    deletable: boolean;
    capture: boolean | "user" | "environment" | undefined;
    maxSize: number;
    maxCount: number;
    previewSize: string | number;
    beforeUpload: import("./props").BeforeUploadType;
    uploadAfter: import("./props").AfterUploadType;
}, {}, string, {}> & (import("vue").VNodeProps & (import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & import("vue").Plugin));
export type { UploadProps } from './props';
declare module 'vue' {
    interface GlobalComponents {
        DUpload: typeof Upload;
    }
}
