import { IActionSheetOption } from './types';
declare const _default: import("vue").DefineComponent<{
    visible: {
        type: BooleanConstructor;
        default: boolean;
    };
    options: {
        type: import("vue").PropType<import("./types").ActionSheetOptions>;
        default: () => never[];
    };
    align: {
        type: import("vue").PropType<"left" | "center">;
        default: string;
    };
    showCancel: {
        type: BooleanConstructor;
        default: boolean;
    };
    cancelButtonText: {
        type: StringConstructor;
        default: string;
    };
    description: {
        type: StringConstructor;
        default: string;
    };
    onSelected: {
        type: import("vue").PropType<(item: IActionSheetOption, index: number) => void>;
        default: undefined;
    };
    onCancel: {
        type: import("vue").PropType<() => void>;
        default: undefined;
    };
    keys: {
        type: import("vue").PropType<import("@xuanmo/dl-common").CustomKeys>;
        default: undefined;
    };
}, {
    bem: (el?: import("@xuanmo/dl-common").Modifiers | null | undefined, modifier?: import("@xuanmo/dl-common").Modifiers | undefined) => string;
    innerVisible: import("vue").WritableComputedRef<boolean>;
    valueKey: "value";
    labelKey: "label";
    onVisible: (value: boolean) => void;
    onClose: () => void;
    onSelected: (item: IActionSheetOption, index: number) => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, import("vue").EmitsOptions, "close" | "update:visible" | "selected", import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    visible: {
        type: BooleanConstructor;
        default: boolean;
    };
    options: {
        type: import("vue").PropType<import("./types").ActionSheetOptions>;
        default: () => never[];
    };
    align: {
        type: import("vue").PropType<"left" | "center">;
        default: string;
    };
    showCancel: {
        type: BooleanConstructor;
        default: boolean;
    };
    cancelButtonText: {
        type: StringConstructor;
        default: string;
    };
    description: {
        type: StringConstructor;
        default: string;
    };
    onSelected: {
        type: import("vue").PropType<(item: IActionSheetOption, index: number) => void>;
        default: undefined;
    };
    onCancel: {
        type: import("vue").PropType<() => void>;
        default: undefined;
    };
    keys: {
        type: import("vue").PropType<import("@xuanmo/dl-common").CustomKeys>;
        default: undefined;
    };
}>>, {
    keys: import("@xuanmo/dl-common").CustomKeys;
    visible: boolean;
    options: import("./types").ActionSheetOptions;
    align: "left" | "center";
    showCancel: boolean;
    cancelButtonText: string;
    description: string;
    onSelected: (item: IActionSheetOption, index: number) => void;
    onCancel: () => void;
}, {}>;
export default _default;
