import { IDay } from './types';
export declare const generateDayId: (date: Date) => string;
export declare const generateDay: (date: Date, option?: Partial<IDay>) => IDay;
/**
 * 计算上月与本月相交的天数
 * @param date
 */
export declare const calcIntersectDays: (date: Date) => IDay[];
/**
 * 生成指定日期区间列表
 * @param startDate 开始日期
 * @param endDate 结束日期
 * @param cb
 */
export declare const generateDateRange: (startDate: Date, endDate: Date, cb?: (date: Date) => void) => Date[];
