import { createBEM, CustomKeys, Modifiers } from '@xuanmo/dl-common';
import { ICascaderOption } from '@xuanmo/dl-common';
declare function createCascaderNameSpace(): [string, ReturnType<typeof createBEM>];
declare function createCascaderNameSpace(childName: string): [string, (el?: string | null, modifier?: Modifiers) => string];
/**
 * 级联数据转换为 map 结构
 * @param originalOptions
 * @param keys
 */
export declare const cascaderOptionsToMap: (originalOptions: ICascaderOption[], keys: CustomKeys) => Map<string | number, ICascaderOption>;
export { createCascaderNameSpace };
