import { ExtractPropTypes, PropType } from 'vue';
export type CheckboxProps = ExtractPropTypes<typeof CHECKBOX_PROPS>;
export declare const CHECKBOX_PROPS: {
    value: {
        type: PropType<string | number>;
        default: string;
    };
    label: StringConstructor;
    defaultChecked: BooleanConstructor;
    name: StringConstructor;
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    readonly: {
        type: BooleanConstructor;
        default: boolean;
    };
};
