import { DateTimePickerType } from './props';
import { PickerValue } from '../picker/props';
import { DateTimePickerOption } from './types';
declare const _default: import("vue").DefineComponent<{
    modelValue: {
        type: import("vue").PropType<import("./props").DateTimePickerValue>;
        default: undefined;
    };
    visible: {
        type: BooleanConstructor;
        default: boolean;
    };
    placeholder: {
        type: StringConstructor;
        default: string;
    };
    title: StringConstructor;
    type: {
        type: import("vue").PropType<DateTimePickerType>;
        default: string;
    };
    displayFormatter: StringConstructor;
    minDate: {
        type: DateConstructor;
        default: Date;
    };
    maxDate: {
        type: DateConstructor;
        default: Date;
    };
    formatter: {
        type: import("vue").PropType<import("./props").DateTimePickerFormatter<string>>;
        default: undefined;
    };
    className: {
        type: import("vue").PropType<import("@xuanmo/dl-common").ClassName>;
        default: undefined;
    };
    rowId: {
        type: StringConstructor;
        default: undefined;
    };
    model: {
        type: import("vue").PropType<import("@xuanmo/dl-common").IFormModelItem<unknown>>;
        default: undefined;
    };
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    readonly: {
        type: BooleanConstructor;
        default: boolean;
    };
    keys: {
        type: import("vue").PropType<import("@xuanmo/dl-common").CustomKeys>;
        default: undefined;
    };
    lockScroll: {
        type: BooleanConstructor;
        default: boolean;
    };
    teleport: {
        type: import("vue").PropType<string | import("vue").RendererElement | null | undefined>;
        default: string;
    };
    lazyRender: {
        type: BooleanConstructor;
        default: boolean;
    };
    requiredMarkPosition: import("vue").PropType<"left" | "right">;
    labelWidth: import("vue").PropType<string | number>;
    clientType: import("vue").PropType<"PC" | "MOBILE">;
    border: {
        type: BooleanConstructor;
        default: undefined;
    };
    round: {
        type: BooleanConstructor;
        default: undefined;
    };
    separator: {
        type: StringConstructor;
        default: undefined;
    };
    closeOnEsc: {
        type: BooleanConstructor;
        default: undefined;
    };
    direction: {
        type: import("vue").PropType<import("@xuanmo/dl-common").DirectionType>;
        default: undefined;
    };
    idGenerator: {
        type: import("vue").PropType<() => string>;
        default: undefined;
    };
}, {
    innerVisible: import("vue").Ref<boolean>;
    columns: import("vue").Ref<{
        label: string;
        value: string | number;
        disabled?: boolean | undefined;
        type: "day" | "month" | "year" | "hour" | "minute" | "second";
    }[][]>;
    innerValue: import("vue").WritableComputedRef<string | number | Date>;
    pickerValue: import("vue").Ref<string[]>;
    displayValue: import("vue").Ref<string>;
    triggerClassName: import("vue").ComputedRef<string>;
    handleChange: (value: PickerValue, columnValue: DateTimePickerOption) => void;
    handleConfirm: () => void;
    showPicker: () => void;
    hidePicker: () => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("update:model-value" | "change")[], "update:model-value" | "change", import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    modelValue: {
        type: import("vue").PropType<import("./props").DateTimePickerValue>;
        default: undefined;
    };
    visible: {
        type: BooleanConstructor;
        default: boolean;
    };
    placeholder: {
        type: StringConstructor;
        default: string;
    };
    title: StringConstructor;
    type: {
        type: import("vue").PropType<DateTimePickerType>;
        default: string;
    };
    displayFormatter: StringConstructor;
    minDate: {
        type: DateConstructor;
        default: Date;
    };
    maxDate: {
        type: DateConstructor;
        default: Date;
    };
    formatter: {
        type: import("vue").PropType<import("./props").DateTimePickerFormatter<string>>;
        default: undefined;
    };
    className: {
        type: import("vue").PropType<import("@xuanmo/dl-common").ClassName>;
        default: undefined;
    };
    rowId: {
        type: StringConstructor;
        default: undefined;
    };
    model: {
        type: import("vue").PropType<import("@xuanmo/dl-common").IFormModelItem<unknown>>;
        default: undefined;
    };
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    readonly: {
        type: BooleanConstructor;
        default: boolean;
    };
    keys: {
        type: import("vue").PropType<import("@xuanmo/dl-common").CustomKeys>;
        default: undefined;
    };
    lockScroll: {
        type: BooleanConstructor;
        default: boolean;
    };
    teleport: {
        type: import("vue").PropType<string | import("vue").RendererElement | null | undefined>;
        default: string;
    };
    lazyRender: {
        type: BooleanConstructor;
        default: boolean;
    };
    requiredMarkPosition: import("vue").PropType<"left" | "right">;
    labelWidth: import("vue").PropType<string | number>;
    clientType: import("vue").PropType<"PC" | "MOBILE">;
    border: {
        type: BooleanConstructor;
        default: undefined;
    };
    round: {
        type: BooleanConstructor;
        default: undefined;
    };
    separator: {
        type: StringConstructor;
        default: undefined;
    };
    closeOnEsc: {
        type: BooleanConstructor;
        default: undefined;
    };
    direction: {
        type: import("vue").PropType<import("@xuanmo/dl-common").DirectionType>;
        default: undefined;
    };
    idGenerator: {
        type: import("vue").PropType<() => string>;
        default: undefined;
    };
}>> & {
    onChange?: ((...args: any[]) => any) | undefined;
    "onUpdate:model-value"?: ((...args: any[]) => any) | undefined;
}, {
    disabled: boolean;
    type: DateTimePickerType;
    keys: import("@xuanmo/dl-common").CustomKeys;
    className: import("@xuanmo/dl-common").ClassName;
    rowId: string;
    model: import("@xuanmo/dl-common").IFormModelItem<unknown>;
    readonly: boolean;
    lockScroll: boolean;
    teleport: string | import("vue").RendererElement | null | undefined;
    lazyRender: boolean;
    border: boolean;
    round: boolean;
    separator: string;
    closeOnEsc: boolean;
    direction: import("@xuanmo/dl-common").DirectionType;
    idGenerator: () => string;
    visible: boolean;
    modelValue: import("./props").DateTimePickerValue;
    minDate: Date;
    maxDate: Date;
    placeholder: string;
    formatter: import("./props").DateTimePickerFormatter<string>;
}, {}>;
export default _default;
