import { App } from 'vue';
import { version as uiVersion } from '../package.json';
import { ComponentNames as CommonComponentNames } from '@xuanmo/dl-common';
import * as components from './components';
import '../../dl-common/src/style/index.scss';
import '../../dl-icons/src/style.scss';
import './style/index.scss';
export type ComponentNames = CommonComponentNames & keyof typeof components extends infer T ? T extends `D${infer Name}` ? `D${Name}` : never : never;
export * from './components';
export * from '@xuanmo/dl-common';
export { uiVersion };
declare const _default: {
    install: (app: App<any>) => void;
    version: any;
};
export default _default;
