declare const _default: import("vue").DefineComponent<{
    title: {
        type: StringConstructor;
        default: string;
    };
    backArrow: {
        type: BooleanConstructor;
        default: boolean;
    };
    titleAlign: {
        type: import("vue").PropType<"left" | "center">;
        default: string;
    };
    border: {
        type: BooleanConstructor;
        default: boolean;
    };
    leftText: {
        type: StringConstructor;
        default: string;
    };
    rightText: {
        type: StringConstructor;
        default: string;
    };
    buttonHighlight: {
        type: BooleanConstructor;
        default: boolean;
    };
}, {
    wrapperClass: import("vue").ComputedRef<string>;
    leftClass: string;
    centerClass: string;
    rightClass: string;
    onLeftClick: () => void;
    onRightClick: () => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("click-left" | "click-right")[], "click-left" | "click-right", import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    title: {
        type: StringConstructor;
        default: string;
    };
    backArrow: {
        type: BooleanConstructor;
        default: boolean;
    };
    titleAlign: {
        type: import("vue").PropType<"left" | "center">;
        default: string;
    };
    border: {
        type: BooleanConstructor;
        default: boolean;
    };
    leftText: {
        type: StringConstructor;
        default: string;
    };
    rightText: {
        type: StringConstructor;
        default: string;
    };
    buttonHighlight: {
        type: BooleanConstructor;
        default: boolean;
    };
}>> & {
    "onClick-left"?: ((...args: any[]) => any) | undefined;
    "onClick-right"?: ((...args: any[]) => any) | undefined;
}, {
    border: boolean;
    title: string;
    backArrow: boolean;
    titleAlign: "left" | "center";
    leftText: string;
    rightText: string;
    buttonHighlight: boolean;
}, {}>;
export default _default;
