import { PickerOption, PickerValue } from './props';
import { CustomKeys, ICascaderOption } from '@xuanmo/dl-common';
/**
 * 查找默认一级数据
 * @param columns
 * @param keys
 */
export declare const findCascadeFirstLevelData: (columns: ICascaderOption[], keys: CustomKeys) => ICascaderOption[];
/**
 * 处理级联数据
 * @param value 当前选中的值
 * @param columns
 * @param keys
 */
export declare const formatCascade: (value: PickerValue, columns: ICascaderOption[], keys?: CustomKeys) => PickerOption[][];
/**
 * 查找对应数据显示值，耗时方法，一般在数据选择时调用
 * @param value 当前选择的数据
 * @param optionsMap
 * @param keys
 */
export declare const findDisplayName: (value: PickerValue, optionsMap: Map<string | number, PickerOption>, keys?: CustomKeys) => string;
