import { ExtractPropTypes } from 'vue';
export type TabsProps = ExtractPropTypes<typeof TABS_PROPS>;
export type TabPanelProps = ExtractPropTypes<typeof TAB_PANEL_PROPS>;
export declare const TABS_PROPS: {
    modelValue: {
        type: (StringConstructor | NumberConstructor)[];
        default: undefined;
    };
    sticky: {
        type: BooleanConstructor;
        default: boolean;
    };
    round: {
        type: BooleanConstructor;
        default: undefined;
    };
};
export declare const TAB_PANEL_PROPS: {
    name: {
        type: (StringConstructor | NumberConstructor)[];
        required: boolean;
    };
    label: {
        type: StringConstructor;
        required: boolean;
    };
};
