import Textarea from './textarea.vue';
export declare const DTextarea: {
    new (...args: any[]): import("vue").CreateComponentPublicInstance<Readonly<import("vue").ExtractPropTypes<{
        modelValue: StringConstructor;
        maxlength: NumberConstructor;
        rows: {
            type: NumberConstructor;
            default: number;
        };
        placeholder: {
            type: StringConstructor;
            default: string;
        };
        showWordLimit: BooleanConstructor;
        autosize: BooleanConstructor;
        disabled: {
            type: BooleanConstructor;
            default: boolean;
        };
        readonly: {
            type: BooleanConstructor;
            default: boolean;
        };
    }>> & {
        onChange?: ((...args: any[]) => any) | undefined;
        "onUpdate:model-value"?: ((...args: any[]) => any) | undefined;
    }, {
        wrapperClassName: import("vue").ComputedRef<string>;
        innerClassName: string;
        limitClassName: string;
        innerValue: import("vue").WritableComputedRef<string>;
        limit: import("vue").ComputedRef<string>;
        textareaHeight: {};
        textareaRef: import("vue").Ref<HTMLTextAreaElement | null>;
        handleInput: (event: Event) => void;
    }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("update:model-value" | "change")[], import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & Readonly<import("vue").ExtractPropTypes<{
        modelValue: StringConstructor;
        maxlength: NumberConstructor;
        rows: {
            type: NumberConstructor;
            default: number;
        };
        placeholder: {
            type: StringConstructor;
            default: string;
        };
        showWordLimit: BooleanConstructor;
        autosize: BooleanConstructor;
        disabled: {
            type: BooleanConstructor;
            default: boolean;
        };
        readonly: {
            type: BooleanConstructor;
            default: boolean;
        };
    }>> & {
        onChange?: ((...args: any[]) => any) | undefined;
        "onUpdate:model-value"?: ((...args: any[]) => any) | undefined;
    }, {
        disabled: boolean;
        readonly: boolean;
        placeholder: string;
        rows: number;
        showWordLimit: boolean;
        autosize: boolean;
    }, true, {}, {}, {
        P: {};
        B: {};
        D: {};
        C: {};
        M: {};
        Defaults: {};
    }, Readonly<import("vue").ExtractPropTypes<{
        modelValue: StringConstructor;
        maxlength: NumberConstructor;
        rows: {
            type: NumberConstructor;
            default: number;
        };
        placeholder: {
            type: StringConstructor;
            default: string;
        };
        showWordLimit: BooleanConstructor;
        autosize: BooleanConstructor;
        disabled: {
            type: BooleanConstructor;
            default: boolean;
        };
        readonly: {
            type: BooleanConstructor;
            default: boolean;
        };
    }>> & {
        onChange?: ((...args: any[]) => any) | undefined;
        "onUpdate:model-value"?: ((...args: any[]) => any) | undefined;
    }, {
        wrapperClassName: import("vue").ComputedRef<string>;
        innerClassName: string;
        limitClassName: string;
        innerValue: import("vue").WritableComputedRef<string>;
        limit: import("vue").ComputedRef<string>;
        textareaHeight: {};
        textareaRef: import("vue").Ref<HTMLTextAreaElement | null>;
        handleInput: (event: Event) => void;
    }, {}, {}, {}, {
        disabled: boolean;
        readonly: boolean;
        placeholder: string;
        rows: number;
        showWordLimit: boolean;
        autosize: boolean;
    }>;
    __isFragment?: undefined;
    __isTeleport?: undefined;
    __isSuspense?: undefined;
} & import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
    modelValue: StringConstructor;
    maxlength: NumberConstructor;
    rows: {
        type: NumberConstructor;
        default: number;
    };
    placeholder: {
        type: StringConstructor;
        default: string;
    };
    showWordLimit: BooleanConstructor;
    autosize: BooleanConstructor;
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    readonly: {
        type: BooleanConstructor;
        default: boolean;
    };
}>> & {
    onChange?: ((...args: any[]) => any) | undefined;
    "onUpdate:model-value"?: ((...args: any[]) => any) | undefined;
}, {
    wrapperClassName: import("vue").ComputedRef<string>;
    innerClassName: string;
    limitClassName: string;
    innerValue: import("vue").WritableComputedRef<string>;
    limit: import("vue").ComputedRef<string>;
    textareaHeight: {};
    textareaRef: import("vue").Ref<HTMLTextAreaElement | null>;
    handleInput: (event: Event) => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("update:model-value" | "change")[], "update:model-value" | "change", {
    disabled: boolean;
    readonly: boolean;
    placeholder: string;
    rows: number;
    showWordLimit: boolean;
    autosize: boolean;
}, {}, string, {}> & (import("vue").VNodeProps & (import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & import("vue").Plugin));
export { type TextareaProps } from './props';
declare module 'vue' {
    interface GlobalComponents {
        DTextarea: typeof Textarea;
    }
}
