import { ExtractPropTypes } from 'vue';
export type TextareaProps = ExtractPropTypes<typeof TEXTAREA_PROPS>;
export declare const TEXTAREA_PROPS: {
    modelValue: StringConstructor;
    maxlength: NumberConstructor;
    rows: {
        type: NumberConstructor;
        default: number;
    };
    placeholder: {
        type: StringConstructor;
        default: string;
    };
    showWordLimit: BooleanConstructor;
    autosize: BooleanConstructor;
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    readonly: {
        type: BooleanConstructor;
        default: boolean;
    };
};
